Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.addrbook.jical
Class ICalendarFactory

    java.lang.Object
      com.knowgate.addrbook.jical.ICalendarFactory

    public class ICalendarFactory

extends java.lang.Object

Create an ICalendar object for a given hipergate Fellow meetings

Constructor Summary
`ICalendarFactory()`

Method Summary
`static org.jical.ICalendar` | `createICalendar(JDCConnection oConn, java.lang.String sGuFellow, java.util.Date dtFrom, java.util.Date dtTo, java.lang.String sLanguage)` Get an RFC 2445 calendar for a Fellow
`static org.jical.ICalendar` | `createICalendar(JDCConnection oConn, java.lang.String sTxEmail, java.lang.String sTxPwd, java.util.Date dtFrom, java.util.Date dtTo, java.lang.String sLanguage)` Get an RFC 2445 calendar for a Fellow
`static void` | `loadCalendar(JDCConnection oConn, java.lang.String sGuFellow, java.io.File oCalFile, java.lang.String sEncoding)` Load a calendar file into k_meetings table

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ICalendarFactory

    public ICalendarFactory()

Method Detail

### createICalendar

    public static org.jical.ICalendar createICalendar(JDCConnection oConn,
                                                      java.lang.String sGuFellow,
                                                      java.util.Date dtFrom,
                                                      java.util.Date dtTo,
                                                      java.lang.String sLanguage)
                                               throws java.sql.SQLException,
                                                      java.lang.IllegalArgumentException,
                                                      java.lang.NullPointerException

  Get an RFC 2445 calendar for a Fellow

  Parameters:
    `oConn` - JDCConnection
    `sGuFellow` - String Fellow GUID from k_fellows table
    `dtFrom` - Date from which to start exporting meetings
    `dtTo` - Date when stop exporting meetings
    `sLanguage` - String Two letter identifier of language to be used if this parameter is null then the default Locale is used.
  Returns:
    ICalendar
  Throws:
    `java.sql.SQLException` - If not fellow with specified GUID is found at k_fellows table
    `java.lang.IllegalArgumentException` - if dtFrom>dtTo
    `java.lang.NullPointerException` - if sGuFellow or dtFrom or dtTo is null

### createICalendar

    public static org.jical.ICalendar createICalendar(JDCConnection oConn,
                                                      java.lang.String sTxEmail,
                                                      java.lang.String sTxPwd,
                                                      java.util.Date dtFrom,
                                                      java.util.Date dtTo,
                                                      java.lang.String sLanguage)
                                               throws java.sql.SQLException,
                                                      java.lang.IllegalArgumentException,
                                                      java.lang.NullPointerException,
                                                      java.lang.SecurityException

  Get an RFC 2445 calendar for a Fellow

  Parameters:
    `oConn` - JDCConnection
    `sTxEmail` - String Fellow e-mail. Must be that of tx_main-email of the corresponding User at k_users table.
    `sTxPwd` - String User password in clear text.
    `dtFrom` - Date from which to start exporting meetings
    `dtTo` - Date when stop exporting meetings
    `sLanguage` - String Two letter identifier of language to be used if this parameter is null then the default Locale is used.
  Returns:
    ICalendar
  Throws:
    `java.sql.SQLException` - If not fellow with specified e-amil is found at k_users table
    `java.lang.IllegalArgumentException` - if dtFrom>dtTo
    `java.lang.NullPointerException` - if sGuFellow or dtFrom or dtTo is null
    `java.lang.SecurityException` - e-mail/password pair does not match the one set at the database

### loadCalendar

    public static void loadCalendar(JDCConnection oConn,
                                    java.lang.String sGuFellow,
                                    java.io.File oCalFile,
                                    java.lang.String sEncoding)
                             throws java.sql.SQLException

  Load a calendar file into k_meetings table

  Parameters:
    `oConn` - JDCConnection
    `sGuFellow` - String
    `oCalFile` - File
    `sEncoding` - String
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD